setstyle(1)

NAME
setstyle - set style related options for Window Maker or loads a theme

SYNOPSIS
setstyle [options] stylefile|themepack

DESCRIPTION
setstyle reads the file stylefile and writes its contents to the WMWindowMaker domain, effectively setting the Window Maker style. If the supplied path is a directory (themepack), it will be treated as a theme pack and it will be loaded appropriately.

OPTIONS

--help
    print a help message with the list of options.

--ignore keyword
    ignore the attribute named keyword from the style file. You can specify this option as many times as needed. You may find a non-exhaustive list of the keywords from the getstyle(1) man page.

--no-cursors
    ignore cursor definition options from the style file (NormalCursor, ArrowCursor, MoveCursor, ResizeCursor, TopLeftResizeCursor, TopRightResizeCursor, BottomLeftResizeCursor, BottomRightResizeCursor, VerticalResizeCursor, HorizontalResizeCursor, WaitCursor, QuestionCursor, TextCursor, SelectCursor).

--no-fonts
    ignore font related options from the style file (IconTitleFont, ClipTitleFont, MenuTextFont, MenuTitleFont, WindowTitleFont).

--version
    print the version of Window Maker from which the program comes.

ENVIRONMENT

GNUSTEP_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the variable is not set, it defaults to "~/GNUstep"

FILES

GNUSTEP_USER_ROOT/Defaults/WindowMaker
    This is the actual file that's written.

SEE ALSO
getstyle(1), wmaker(1)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>.